package com.scpyun.platform;

import com.scpyun.base.core.SCPApplication;
import com.scpyun.base.core.utils.Global;
import com.scpyun.platform.sc.service.impl.LoginServiceImpl;

/**
 * Hello world!
 *
 */
//@EnableScheduling
//@EnableSchedulerLock(defaultLockAtMostFor = "PT60S")
public class App 
{
    public static void main( String[] args )
    {
		SCPApplication.run(App.class, args);
        System.err.println(" >>>> THIS APPLICATION "+ Global.getConfig("server.id") +" LUANCH SUCCESS !!! ");
        System.err.println("授权码有效期还有 " + LoginServiceImpl.remainingExpirationTime() + " 天") ;
        System.err.println("The remaining validity period of the license is " + LoginServiceImpl.remainingExpirationTime() +" days");
        System.err.println("-------- START YOU JOB -------- ");
    }
}
